# Builder

interface Builder

Builder for a build action that hooks into different phases of the build.

A single BuildAction is allowed per build phase. Use composite actions if needed.

#### Since

4.8

## Functions

build
Link copied to clipboard
abstract fun build(): BuildActionExecuter<Void>
Builds the executer from the added actions.
buildFinished
Link copied to clipboard
abstract fun <T> buildFinished(buildAction: BuildAction<T>, handler: IntermediateResultHandler<in T>): BuildActionExecuter.Builder
Executes the given action after tasks are run and sends its result to the given result handler.
projectsLoaded
Link copied to clipboard
abstract fun <T> projectsLoaded(buildAction: BuildAction<T>, handler: IntermediateResultHandler<in T>): BuildActionExecuter.Builder
Executes the given action after projects are loaded and sends its result to the given result handler.